import type { Theme } from "@material-ui/core/styles/createMuiTheme";
import "typeface-work-sans";
declare module "@material-ui/core/styles/createMuiTheme" {
    interface Theme {
        custom: {
            color: {
                palette: {
                    typeScriptBlue: string;
                    visualStudioCodeColor: string;
                    silverGray: string;
                    tomatoRed: string;
                    goldenRod: string;
                    limeGreen: string;
                    darkBlue: string;
                    lightBlue: string;
                };
                useCases: {
                    surface: string;
                    vsCodeTopLeftButtonColors: {
                        close: string;
                        minimize: string;
                        fullScreen: string;
                    };
                };
            };
        };
    }
    interface ThemeOptions {
        custom: Theme["custom"];
    }
}
export declare function createTheme(params: {
    isDarkModeEnabled: boolean;
}): {
    theme: Theme;
};
