"use strict";
/* eslint-disable no-irregular-whitespace */
/* eslint-disable @typescript-eslint/ban-ts-comment */
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTheme = void 0;
var styles_1 = require("@material-ui/core/styles");
require("typeface-work-sans");
function createTheme(params) {
    var isDarkModeEnabled = params.isDarkModeEnabled;
    var palette = {
        "typeScriptBlue": "#0076C6",
        "silverGray": "#a2a7ab",
        "visualStudioCodeColor": "#1e1e1e",
        "tomatoRed": "#f85b52",
        "goldenRod": "#e1bb2a",
        "limeGreen": "#54bd2b",
        "darkBlue": "#070224",
        "lightBlue": "#a6d8f5",
    };
    var theme = styles_1.createMuiTheme({
        "typography": {
            "fontFamily": '"Work Sans"',
            "body2": {
                "fontSize": "1.1em",
            },
        },
        "palette": {
            "type": isDarkModeEnabled ? "dark" : "light",
        },
        "custom": {
            "color": {
                palette: palette,
                "useCases": {
                    "surface": isDarkModeEnabled ? palette.darkBlue : palette.lightBlue,
                    "vsCodeTopLeftButtonColors": {
                        "close": palette.tomatoRed,
                        "minimize": palette.goldenRod,
                        "fullScreen": palette.limeGreen,
                    },
                },
            },
        },
    });
    return { theme: theme };
}
exports.createTheme = createTheme;
//# sourceMappingURL=createTheme.js.map