"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Image = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var VsCodeButtons_1 = require("./VsCodeButtons");
var useClassesNames_1 = require("../useClassesNames");
var tss_react_1 = require("tss-react");
var react_1 = require("react");
var useClassNames = useClassesNames_1.createUseClassNames()(function (theme, _a) {
    var frame = _a.frame;
    return ({
        "root": {
            "position": "relative",
            "boxShadow": theme.palette.type === "dark" ? "" : "-2px 0px 10px 0px rgba(0,0,0,0.75)",
            "& >img": {
                "width": "100%",
                "height": "100%",
                "objectFit": "cover",
                "verticalAlign": "middle",
            },
            "borderRadius": frame !== undefined && frame.isActive ? 5 : "",
            "border": (function () {
                if (frame === undefined) {
                    return "";
                }
                return "\n                    solid \n                    " + (frame.customColor !== undefined
                    ? frame.customColor
                    : theme.custom.color.palette.visualStudioCodeColor) + "\n                    24px\n                ";
            })(),
        },
    });
}).useClassNames;
exports.Image = react_1.memo(function (props) {
    var className = props.className, url = props.url, frame = props.frame, alt = props.alt;
    var classNames = useClassNames({ frame: frame }).classNames;
    return (jsx_runtime_1.jsxs("div", __assign({ className: tss_react_1.cx(classNames.root, className) }, { children: [frame !== undefined &&
                frame.isActive &&
                frame.hasMokButtons !== undefined &&
                frame.hasMokButtons && jsx_runtime_1.jsx(VsCodeButtons_1.VsCodeButtons, {}, void 0),
            jsx_runtime_1.jsx("img", { src: url, alt: alt }, void 0)] }), void 0));
});
//# sourceMappingURL=Image.js.map